ZIP_SET_ARCHIVE_COMMENT(3)

NAME
zip_set_archive_comment - set zip archive comment

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_set_archive_comment(struct zip *archive); "const char *comment" "int *lenp"

DESCRIPTION
The zip_set_archive_comment function sets the comment for the entire zip archive. If comment is NULL and len is 0, the archive comment will be removed.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error information in archive is set to indicate the error.

ERRORS
zip_set_archive_comment fails if:

    [ZIP_ER_INVAL]
        len is less than 0 or longer than the maximum comment length in a zip file (65535).

    [ZIP_ER_MEMORY]
        Required memory could not be allocated.

SEE ALSO
libzip(3), zip_get_archive_comment(3), zip_get_file_comment(3), zip_set_file_comment(3)

AUTHORS
Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>